[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TFloatFormat

Formats for the FloatToText function.

## Declaration

Source position: sysstrh.inc line 25

`type TFloatFormat = (`
`ffGeneral,` |  | General number format.
`ffExponent,` |  | Scientific format.
`ffFixed,` |  | Fixed point format.
`ffNumber,` |  | Fixed point format with thousand separatord
`ffCurrency` |  | Monetary format.
`);`

## Description

TFloatFormat is used to determine how a float value should be formatted in the FloatToText function.

## See also

FloatToText |  | Return a string representation of a float, with a given format.
FloatToStrF |  | Convert a float value to a string using a given format.

Documentation generated on: Feb 26 2014